> ## Documentation Index
> Fetch the complete documentation index at: https://api.lancepilot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Contact Import

> Create a new contact import in the specified workspace.



## OpenAPI

````yaml POST /workspaces/{workspace}/contact-imports
openapi: 3.1.0
info:
  title: Lancepilot API
  description: API for Lancepilot
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://lancepilot.com/api/v3
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace}/contact-imports:
    post:
      tags:
        - Contact Imports
      summary: Create Contact Import
      description: Create a new contact import in the specified workspace.
      parameters:
        - name: workspace
          in: path
          description: ID of the workspace.
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  type: string
                  maxLength: 255
                  description: Unique name per workspace.
                file:
                  type: string
                  format: binary
                  description: Required file. Must be CSV, TXT, XLSX, or XLS. Max size 5MB.
                contact_groups:
                  type: array
                  nullable: true
                  description: >-
                    Array of group IDs. Must exist in workspace and be
                    assignable.
                  items:
                    type: integer
                    description: Contact group ID.
              required:
                - name
                - file
            encoding:
              file:
                contentType: application/octet-stream
              contact_groups:
                style: form
                explode: true
      responses:
        '201':
          $ref: '#/components/responses/201'
        '401':
          $ref: '#/components/responses/401'
        '422':
          $ref: '#/components/responses/422'
components:
  responses:
    '201':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: integer
                example: 201
              message:
                type: string
                example: Resource created successfully.
              data:
                type: object
                description: Created resource data.
            required:
              - status
              - message
              - data
    '401':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
            required:
              - message
    '422':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Validation error
              errors:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````